# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mf4-rs"
version = "1.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "mf4-rs is a Rust library for working with ASAM MDF 4 (Measurement Data Format) files."
readme = "README.md"
license = "MIT"
repository = "https://github.com/dmagyar-0/mf4-rs"

[features]
default = []
pyo3 = [
    "dep:pyo3",
    "dep:numpy",
]

[lib]
name = "mf4_rs"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[example]]
name = "cut_file"
path = "examples/cut_file.rs"

[[example]]
name = "index_operations"
path = "examples/index_operations.rs"

[[example]]
name = "merge_files"
path = "examples/merge_files.rs"

[[example]]
name = "read_file"
path = "examples/read_file.rs"

[[example]]
name = "visualize_layout"
path = "examples/visualize_layout.rs"

[[example]]
name = "write_file"
path = "examples/write_file.rs"

[[test]]
name = "api"
path = "tests/api.rs"

[[test]]
name = "bench_index_read"
path = "tests/bench_index_read.rs"

[[test]]
name = "bench_read"
path = "tests/bench_read.rs"

[[test]]
name = "bench_write"
path = "tests/bench_write.rs"

[[test]]
name = "bench_write_chunked"
path = "tests/bench_write_chunked.rs"

[[test]]
name = "block_layout"
path = "tests/block_layout.rs"

[[test]]
name = "blocks"
path = "tests/blocks.rs"

[[test]]
name = "cross_compatibility"
path = "tests/cross_compatibility.rs"

[[test]]
name = "cut_byte_array"
path = "tests/cut_byte_array.rs"

[[test]]
name = "cut_invalidation"
path = "tests/cut_invalidation.rs"

[[test]]
name = "cut_utc"
path = "tests/cut_utc.rs"

[[test]]
name = "cut_vlsd"
path = "tests/cut_vlsd.rs"

[[test]]
name = "enhanced_index_conversions"
path = "tests/enhanced_index_conversions.rs"

[[test]]
name = "index"
path = "tests/index.rs"

[[test]]
name = "merge"
path = "tests/merge.rs"

[[test]]
name = "test_invalidation_bits"
path = "tests/test_invalidation_bits.rs"

[dependencies.byteorder]
version = "1.5"

[dependencies.memmap2]
version = "0.9.9"

[dependencies.meval]
version = "0.2"

[dependencies.nom]
version = "8"

[dependencies.numpy]
version = "0.21"
optional = true

[dependencies.pyo3]
version = "0.21"
features = [
    "extension-module",
    "abi3-py38",
]
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "2.0"
